Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Onboarding
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Onboarding

Create onboarding document

POST
/v1/onboardings/{application_id}/documents
Uploads a document for an onboarding application. model_id is the UUID of the entity that owns the document, such as a company or shareholder. The document type must match one of the supported onboarding document types, and the content must be base64-encoded file data.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/onboardings/98c93841-2ca5-42dc-8909-75967b25f27f/documents' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "model_id": "98c937ef-41f5-446f-a094-dc377b7d0979",
    "properties": {
        "type": "PASSPORT"
    },
    "name": "passport.pdf",
    "content": "JVBERi0xLjQK..."
}'
Response Response Example
201 - response
{
    "data": {
        "id": "98c93841-2ca5-42dc-8909-75967b25f27f",
        "model_id": "98c937ef-41f5-446f-a094-dc377b7d0979",
        "type": "PASSPORT",
        "name": "passport.pdf",
        "created_at": "2021-08-06 15:25:17",
        "updated_at": "2021-08-06 15:25:17"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Delete onboarding shareholder
Next
Retrieve onboarding document
Built with